LibreOffice: ChainedTextFrame Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Included Services | Public Attributes | List of all members
ChainedTextFrame Service Referencepublished

extends a TextFrame which shares the same Text with other ChainedTextFrame instances that will make the text flow through the chained frames. More...

`import"ChainedTextFrame.idl";`

Inheritance diagram for ChainedTextFrame:

## Included Services
service | com::sun::star::text::TextFrame
Included Services inherited from TextFrame
service | BaseFrame
| contains the definition of interfaces and properties that are supported by text frames, graphic objects and embedded objects. More...
Included Services inherited from BaseFrame
service | BaseFrameProperties
service | TextContent
Included Services inherited from BaseFrameProperties
service | com::sun::star::xml::UserDefinedAttributesSupplier
| gives access to the UserDefinedAttributes property. More...

## Public Attributes
string | ChainNextName
| name of the previous frame in the chain More...
string | ChainPrevName
| name of the next frame in the chain More...
Public Attributes inherited from TextFrame
long | FrameHeightAbsolute
| contains the metric height value of the frame. More...
long | FrameWidthAbsolute
| contains the metric width value of the frame. More...
byte | FrameWidthPercent
| specifies a width relative to the width of the surrounding text. More...
byte | FrameHeightPercent
| specifies a width relative to the width of the surrounding text. More...
boolean | FrameIsAutomaticHeight
| If "AutomaticHeight" is set, then the object grows if it is required by the frame content. More...
short | SizeType
| determines the interpretation of the height and relative height properties. More...
boolean | EditInReadonly
| determines if the text frame should be editable in a read-only document. More...
short | WidthType
| determines the interpretation of the width and relative width properties. More...
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants More...
boolean | IsFollowingTextFlow
| controls, if the frame follows the text flow or can leave its layout environment More...
com::sun::star::drawing::TextVerticalAdjust | TextVerticalAdjust
| adjusts the vertical position of the text inside of the frame. More...
Public Attributes inherited from BaseFrame
string | FrameStyleName
| contains the name of the frame style that is applied to this object. More...
Public Attributes inherited from BaseFrameProperties
short | AnchorPageNo
| contains the number of the page where the objects are anchored. More...
com::sun::star::text::XTextFrame | AnchorFrame
| contains the text frame the current frame is anchored to. More...
com::sun::star::util::Color | BackColor
| contains the color of the background of the object. More...
string | BackGraphicURL
| contains the URL for the background graphic. More...
string | BackGraphicFilter
| contains the name of the file filter for the background graphic. More...
com::sun::star::style::GraphicLocation | BackGraphicLocation
| determines the position of the background graphic. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
boolean | BackTransparent
| If TRUE, the "BackColor" is ignored. More...
boolean | ContentProtected
| determines if the content is protected. More...
long | LeftMargin
| contains the left margin of the object. More...
long | RightMargin
| contains the right margin of the object. More...
long | TopMargin
| contains the top margin of the object. More...
long | BottomMargin
| contains the bottom margin of the object. More...
long | Height
| contains the height of the object (1/100 mm). More...
long | Width
| contains the width of the object (1/100 mm). More...
short | RelativeHeight
| contains the relative height of the object. More...
short | RelativeWidth
| contains the relative width of the object. More...
boolean | IsSyncWidthToHeight
| determines whether the width follows the height. More...
boolean | IsSyncHeightToWidth
| determines whether the height follows the width. More...
short | HoriOrient
| determines the horizontal orientation of the object. More...
long | HoriOrientPosition
| contains the horizontal position of the object (1/100 mm). More...
short | HoriOrientRelation
| determines the environment of the object to which the orientation is related. More...
short | VertOrient
| determines the vertical orientation of the object. More...
long | VertOrientPosition
| contains the vertical position of the object (1/100 mm). More...
short | VertOrientRelation
| determines the environment of the object to which the orientation is related. More...
string | HyperLinkURL
| contains the URL of a hyperlink that is set at the object. More...
string | HyperLinkTarget
| contains the name of the target for a hyperlink that is set at the object. More...
string | HyperLinkName
| contains the name of the hyperlink that is set at the object. More...
boolean | Opaque
| determines if the object is opaque or transparent for text. More...
boolean | PageToggle
| determines if the object is mirrored on even pages. More...
boolean | PositionProtected
| determines if the position is protected. More...
boolean | Print
| determines if the object is included in printing. More...
com::sun::star::table::ShadowFormat | ShadowFormat
| contains the type of the shadow of the object. More...
boolean | ServerMap
| determines if the object gets an image map from a server. More...
com::sun::star::awt::Size | Size
| contains the size of the object. More...
boolean | SizeProtected
| determines if the size is protected. More...
com::sun::star::text::WrapTextMode | Surround
| determines the type of the surrounding text. More...
boolean | SurroundAnchorOnly
| determines if the text of the paragraph in which the object is anchored, wraps around the object. More...
short | WrapInfluenceOnPosition
| determines the influence of the text wrap on the positioning of the shape More...
com::sun::star::awt::Size | LayoutSize
| returns the actual size of the object. More...
string | Title
| contains short title for the object More...
string | Description
| contains description for the object More...
com::sun::star::drawing::FillStyle | FillStyle
| This enumeration selects the style the area will be filled with. More...
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used. More...
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the gradient used. More...
short | ShadowTransparence
| This defines the degree of transparence of the shadow in percent. More...
sequence< com::sun::star::beans::PropertyValue > | FrameInteropGrabBag
| Grab bag of frame properties, used as a string-any map for interim interop purposes. More...
short | RelativeHeightRelation
| contains the relation of the relative height of the object. More...
short | RelativeWidthRelation
| contains the relation of the relative width of the object. More...
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text. More...
sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content. More...
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape. More...

## Additional Inherited Members
Exported Interfaces inherited from TextFrame
interface | com::sun::star::text::XTextFrame
| This interface makes it possible to access the text within this text frame. More...
Exported Interfaces inherited from BaseFrame
interface | com::sun::star::drawing::XShape
| This interface specifies the access to the shape data (position and size) of the text frame. More...
interface | com::sun::star::beans::XPropertySet
| This interface makes it possible to access the properties of this text frame. More...
interface | com::sun::star::container::XNamed
| This interface specifies the name of this text frame. More...
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XTextFrame
com::sun::star::text::XText | getText ()
Protected Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Protected Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes. More...

## Detailed Description

extends a TextFrame which shares the same Text with other ChainedTextFrame instances that will make the text flow through the chained frames.

The text flows in the next frame if there is no space left in the current frame.

## Exported Interfaces

## ◆ com::sun::star::text::TextFrame

service com::sun::star::text::TextFrame

## Member Data Documentation

## ◆ ChainNextName

string ChainNextName
| propertymaybevoid

name of the previous frame in the chain

An empty string indicates that there is no previous frame.

## ◆ ChainPrevName

string ChainPrevName
| propertymaybevoid

name of the next frame in the chain

An empty string indicates that there is no next frame.

The documentation for this service was generated from the following file:

- com/sun/star/text/ChainedTextFrame.idl